﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace CellStyle_SfDataGrid
{
    public class CellStyleSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            var record = item as OrderInfo;
            var gridCell = container as GridCell;
            var columnIndex = gridCell.ColumnBase.ColumnIndex;
            if (columnIndex == record.DataIndex)
            {
                //if the cell is clicked first time, DataIndex is stored in ColoredRows collection.
                if (!record.ColoredRows.Contains(record.DataIndex))
                    record.ColoredRows.Add(record.DataIndex);
                return App.Current.Resources["cellStyle"] as Style;
            }
            else
            {
                //check if style already applied to GridCell or not.
                if (record.ColoredRows.Contains(columnIndex))
                    return App.Current.Resources["cellStyle"] as Style;
            }
            return base.SelectStyle(item, container);
        }       
    }
}
