﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CellStyle_SfDataGrid
{
    public class OrderInfo : INotifyPropertyChanged
    {
        private string _CustomerID;
        private int _EmployeeID;
        private string _ShipCity;
        private string _ShipCountry;
        private double _Freight;
        private bool _isClosed;
        private DateTime _shippingDate;
        private int Var = -1;

        public int DataIndex
        {
            get { return Var; }
            set
            {
                Var = value;
                RaisePropertyChanged("DataIndex");
            }
        }

        private int rowIndex;

        public int RowIndex
        {
            get { return rowIndex; }
            set
            {
                rowIndex = value;
                RaisePropertyChanged("RowIndex");
            }
        }

        public ObservableCollection<int> ColoredRows = new ObservableCollection<int>();

        public OrderInfo()
        {
        }

        public string CustomerID
        {
            get { return this._CustomerID; }
            set
            {
                this._CustomerID = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        public DateTime ShippingDate
        {
            get { return _shippingDate; }
            set
            {
                _shippingDate = value;
                RaisePropertyChanged("ShippingDate");
            }
        }

        public int EmployeeID
        {
            get { return this._EmployeeID; }
            set
            {
                this._EmployeeID = value;
                RaisePropertyChanged("EmployeeID");
            }
        }

        public string ShipCity
        {
            get { return this._ShipCity; }
            set
            {
                this._ShipCity = value;
                RaisePropertyChanged("ShipCity");
            }
        }

        /// <summary>
        /// Gets or sets the ship country.
        /// </summary>
        /// <value>The ship country.</value>
        public string ShipCountry
        {
            get { return this._ShipCountry; }
            set
            {
                this._ShipCountry = value;
                RaisePropertyChanged("ShipCountry");
            }
        }

        public double Freight
        {
            get { return this._Freight; }
            set
            {
                this._Freight = value;
                RaisePropertyChanged("Freight");
            }
        }

        public bool IsClosed
        {
            get { return this._isClosed; }

            set
            {
                this._isClosed = value;
                this.RaisePropertyChanged("IsClosed");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
