﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CellStyle_SfDataGrid
{
    public class ViewModel : INotifyPropertyChanged
    {
        private OrderInfoRepository order = new OrderInfoRepository();

        public ViewModel()
        {
            OrdersDetails = order.GetOrdersDetails(200);
        }

        public ObservableCollection<OrderInfo> _ordersDetails;

        public ObservableCollection<OrderInfo> OrdersDetails
        {
            get { return _ordersDetails; }
            set
            {
                _ordersDetails = value;
                RaisePropertyChanged("OrdersDetails");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }
    }
}
    
    

